%define upstream_name    Dist-Zilla-Plugin-CheckChangesHasContent
%define upstream_version 0.008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Ensure Changes has content before releasing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Cwd)
BuildRequires: perl(DateTime)
BuildRequires: perl(Dist::Zilla) >= 2.100.950
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autodie) >= 2.0.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Foo the foo.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.8.0-3.mga6
+ Revision: 1026135
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 967448
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.8.0-1.mga6
+ Revision: 848973
- update to 0.008

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-5.mga5
+ Revision: 743525
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 510994
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.0-2.mga3
+ Revision: 366090
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.6.0-1.mga3
+ Revision: 286090
- update to 0.006

* Tue Jun 05 2012 jquelin <jquelin> 0.5.0-1.mga3
+ Revision: 254868
- update to 0.005

* Wed Jan 26 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 40377
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-CheckChangesHasContent

